Forum: NGINX nginx-1.5.5

A8108a0961c6087c43cda32c8616dcba?d=identicon&s=25 Maxim Dounin (Guest)
on 2013-09-17 15:43
(Received via mailing list)
Changes with nginx 1.5.5                                         17 Sep

    *) Change: now nginx assumes HTTP/1.0 by default if it is not able
       detect protocol reliably.

    *) Feature: the "disable_symlinks" directive now uses O_PATH on

    *) Feature: now nginx uses EPOLLRDHUP events to detect premature
       connection close by clients if the "epoll" method is used.

    *) Bugfix: in the "valid_referers" directive if the "server_names"
       parameter was used.

    *) Bugfix: the $request_time variable did not work in nginx/Windows.

    *) Bugfix: in the "image_filter" directive.
       Thanks to Lanshun Zhou.

    *) Bugfix: OpenSSL 1.0.1f compatibility.
       Thanks to Piotr Sikora.

Maxim Dounin
1d7e58690643fef4a92750ff39f4c56c?d=identicon&s=25 Kevin Worthington (Guest)
on 2013-09-18 04:13
(Received via mailing list)
Hello Nginx users,

Now available: Nginx 1.5.5 for Windows (32-bit and
64-bit versions)

These versions are to support legacy users who are already using Cygwin
based builds of Nginx. Officially supported native Windows binaries are

Announcements are also available via my Twitter stream (, if you prefer to receive updates that

Thank you,
Kevin Worthington
kworthington *@* (gmail]  [dot} {com)
63f341734581b167c7b698169bdd2510?d=identicon&s=25 Lukas Tribus (Guest)
on 2013-09-23 11:52
(Received via mailing list)

> *) Bugfix: OpenSSL 1.0.1f compatibility.
> Thanks to Piotr Sikora.

Since SSL_OP_MSIE_SSLV2_RSA_PADDING is more than obsolete now, shouldn't
we remove it completely instead of just ifdef'ing it? At least in the
1.5 branch?


Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.